# ComponentArtifactIdentifier

interface ComponentArtifactIdentifier

An opaque immutable identifier for an artifact that belongs to some component instance.

## Functions

getComponentIdentifier
Link copied to clipboard
abstract fun getComponentIdentifier(): ComponentIdentifier
Returns the id of the component that this artifact belongs to.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns some human-consumable display name for this artifact.